package jp.hishidama.msgcode.excel;

import java.util.ResourceBundle;

import java.util.logging.Level;


/**
 * bZ[WR[h萔.
 */
public enum MsgCodeEnum {

	/** Tv */
	MSGCODE_I_0001(Level.INFO),
	/** Jn */
	MSGCODE_I_0002(Level.INFO),
	/** I */
	MSGCODE_I_0003(Level.INFO),
	/** xI */
	MSGCODE_W_0001(Level.WARNING),
	/** ُI */
	MSGCODE_E_0001(Level.SEVERE),
	;

	protected Level level;

	/**
	 * RXgN^[.
	 *
	 * @param level bZ[Wx
	 */
	MsgCodeEnum(Level level) {
		this.level = level;
	}

	/**
	 * bZ[Wx擾.
	 *
	 * @return bZ[Wx
	 */
	public Level getLevel() {
		return level;
	}

	protected static ResourceBundle RESOURCE_BUNDLE;

	/**
	 * bZ[WeLXg擾.
	 *
	 * @return bZ[WeLXg
	 */
	public String getText() {
		if (RESOURCE_BUNDLE == null) {
			RESOURCE_BUNDLE = ResourceBundle.getBundle(MsgCodeEnum.class.getPackage().getName() + ".msgcode_text");
		}
		return RESOURCE_BUNDLE.getString(name());
	}

	/**
	 * bZ[WCX^X.
	 *
	 * @param 
	 * @return bZ[WCX^X
	 */
	public Message createMessage(String... args) {

		return new Message(this, args);
	}
}
