package jp.hishidama.msgcode.excel;

import static org.junit.Assert.*;

import org.junit.Test;

import static jp.hishidama.msgcode.excel.MsgCodeEnum.*;

public class MsgCodeEnumTest {

	@Test
	public void testCreateMessage() {
		Message m = MSGCODE_I_0001.createMessage("id", "bZ[W123");
		assertEquals(MSGCODE_I_0001, m.getMsgCode());
		assertArrayEquals(new String[] { "id", "bZ[W123" }, m.getArgs());
		assertEquals("{0}:bZ[W1F{1}", MSGCODE_I_0001.getText());
	}
}
